Bug 1409858 - [Intel OSP12] Open vSwitch Events Plugin
Summary: [Intel OSP12] Open vSwitch Events Plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: collectd
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Matthias Runge
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On: 1557971 1558639
Blocks: 1419948 1422243 intel-collectd 1488155
TreeView+ depends on / blocked
 
Reported: 2017-01-03 16:11 UTC by damien Power
Modified: 2018-06-27 13:10 UTC (History)
15 users (show)

Fixed In Version: collectd-5.8.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1409814
: 1409860 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:08:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
vSwitch Test cases (707.27 KB, application/pdf)
2018-02-21 13:04 UTC, damien Power
no flags Details


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 527012 0 None None None 2017-12-11 08:23:40 UTC
Red Hat Product Errata RHEA-2018:2084 0 None None None 2018-06-27 13:10:40 UTC

Description damien Power 2017-01-03 16:11:33 UTC
+++ This bug was initially created as a clone of Bug #1409814 +++

1. Feature Overview:
a) Name of feature: Open vSwitch Events Plugin 
b) Feature Description: 
Plugin provides the OVS link status for interfaces. Plugin will also report vswitch liveliness. The collectd reporting of vSwitch link status should be supported in OSP.

Plugin is in the process of being upstreamed, status at 
https://github.com/collectd/collectd/pull/1971

2. Feature Details:
a) Architectures:
b) Bugzilla Dependencies:
c) Drivers or hardware dependencies: n/a
d) Upstream acceptance information: Spec and implementation in progress.

e) External links:

f) Severity (H,M,L): M
g) Feature Needed by:

3. Business Justification:
a) Why is this feature needed?
b) What hardware does this enable? n/a
c) Is this hardware on-board in a system (eg, LOM) or an add-on card? No
d) Business impact? n.a
e) Other business drivers:

4. Primary contact at Red Hat, email, phone (chat):

5. Primary contact at Partner, email, phone (chat):
Rob Love
robert.w.love@intel.com

Comment 1 damien Power 2017-03-30 13:30:55 UTC
This plugin is upstreamed to collectd

Comment 2 Matthias Runge 2017-05-19 06:46:27 UTC
There seem to be a lot issues around this upstream; the same is true for code changes since last release. Bumping this to Queens.

Comment 3 damien Power 2017-05-24 13:10:31 UTC
vSwitch Events is merged to collectd master 
please reference 
https://github.com/collectd/collectd/tree/master
search for "ovs_events"

Can you review this and review the move to Queens.

Comment 5 Matthias Runge 2017-06-08 19:05:46 UTC
It is not included in a released version yet, the latest collectd 5.7.2 was released a very few days ago, but is based on a branch split off from master in january. That means, everything merged to master afterwards is not included.

Comment 7 damien Power 2017-10-13 13:07:19 UTC
Merged to Maset PR https://github.com/collectd/collectd/issues/2137
Available for collect 5.8

Comment 12 Matthias Runge 2017-12-11 08:23:41 UTC
review for addition in kolla https://review.openstack.org/527012

Comment 14 tony.b.mcmahon 2017-12-15 11:51:58 UTC
Collect 5.8 release completed November 11th 2017

Comment 16 Matthias Runge 2018-01-01 16:01:46 UTC
the kolla change was merged

Comment 20 Leonid Natapov 2018-02-19 09:00:34 UTC
Please,provide instructions how to test.

Thank you.

Comment 21 Matthias Runge 2018-02-19 11:28:12 UTC
you should check that the plugin is loaded. I can find some ovs_event related logs in my collectd.log. That being said, you won't be able to find anything ovs_event related in grafana.

Maybe damien can give more info on how to test this? (other than additionally hooking up vitrage or else)

Comment 22 Matthias Runge 2018-02-20 10:51:25 UTC
new build adds config

Comment 23 damien Power 2018-02-21 12:59:52 UTC
I have added the list of test cases that were performed locally in the plugin.
These were intially manual and added to local CI env.

Comment 24 damien Power 2018-02-21 13:04:11 UTC
Created attachment 1398712 [details]
vSwitch Test cases

A list of test cases for vSwitch

Comment 27 Leonid Natapov 2018-03-13 14:49:27 UTC
collectd-5.8.0-4.el7ost
Getting OVS metrics from overcloud nodes.


[root@opstools-0 ~]# gnocchi metric list | grep ovs
| 08c3fa8f-a2a0-4401-9163-bca87c34d8fe | low                 | interface-ovs-system@if_dropped-rx            | None | 552a4457-610b-53c1-98fe-fcac66b99eb6 |
| 0e344524-4a7a-41ce-84c0-c2207dba2fc4 | low                 | interface-ovs-system@if_dropped-tx            | None | 8789485c-badc-5a86-9d14-63e596980374 |
| 0ea02f33-d3bf-41a6-9e73-7762a55e9ac0 | low                 | interface-ovs-system@if_dropped-rx            | None | 6d90e409-86de-5145-b771-adb7cae874a2 |
| 137284bf-c71e-44d6-8303-3e1865778be3 | low                 | interface-ovs-system@if_packets-tx            | None | 552a4457-610b-53c1-98fe-fcac66b99eb6 |
| 19e874aa-20a5-40e5-a27a-248fbb824d75 | low                 | interface-ovs-system@if_errors-rx             | None | 8789485c-badc-5a86-9d14-63e596980374 |
| 378aec31-50fe-4d67-a54e-3c8a5f83e5d4 | low                 | interface-ovs-system@if_packets-tx            | None | 8789485c-badc-5a86-9d14-63e596980374 |
| 3909aa9f-625a-4612-ac14-301893bda2d1 | low                 | interface-ovs-system@if_packets-rx            | None | 6d90e409-86de-5145-b771-adb7cae874a2 |
| 3bce03d4-ef4a-4139-a1ed-c7d4e30c9771 | low                 | interface-ovs-system@if_packets-tx            | None | 9126400b-1799-51b4-b7ef-fade2c7a09d3 |
| 41c00d4e-5e05-4ba8-b46b-ac2c71600ae4 | low                 | interface-ovs-system@if_errors-tx             | None | 27b76d80-9945-5381-99ec-970523174fd7 |
| 4745f4a2-13d1-46f8-a150-a88e8870340d | low                 | interface-ovs-system@if_packets-rx            | None | 9126400b-1799-51b4-b7ef-fade2c7a09d3 |
| 4bc3076d-4f5c-40e1-87a9-a0ba99a3b8e1 | low                 | interface-ovs-system@if_dropped-rx            | None | 8789485c-badc-5a86-9d14-63e596980374 |
| 4bdcc8c4-6f11-468d-b294-394ccf106cca | low                 | interface-ovs-system@if_octets-rx             | None | 8789485c-badc-5a86-9d14-63e596980374 |
| 4d8cead3-8abc-44d9-bc9f-eeaa2a89e569 | low                 | interface-ovs-system@if_octets-tx             | None | 9126400b-1799-51b4-b7ef-fade2c7a09d3 |
| 4fdc9a3c-5b20-4b61-af74-b4f831d8db1c | low                 | interface-ovs-system@if_packets-rx            | None | 27b76d80-9945-5381-99ec-970523174fd7 |
| 524489d7-207d-4385-a6e8-ef92a66e98ce | low                 | interface-ovs-system@if_dropped-tx            | None | 6d90e409-86de-5145-b771-adb7cae874a2 |
| 568d0484-cd29-4f7c-8a46-0919eb4e9b88 | low                 | interface-ovs-system@if_packets-rx            | None | 8789485c-badc-5a86-9d14-63e596980374 |
| 5e0582c6-571a-43ea-b40b-6870a94205a4 | low                 | interface-ovs-system@if_errors-tx             | None | 9126400b-1799-51b4-b7ef-fade2c7a09d3 |

Comment 28 Leonid Natapov 2018-03-20 15:43:55 UTC
Verified by mistake. Moving back to ON_QA

Comment 29 Leonid Natapov 2018-03-20 15:48:55 UTC
This bug can not be verified because of THT bug. See dependency.

Comment 30 Pradeep Kilambi 2018-04-05 15:11:54 UTC
(In reply to Leonid Natapov from comment #29)
> This bug can not be verified because of THT bug. See dependency.

The depends on bug is verified now. Can we verify this as well then?

Comment 31 Leonid Natapov 2018-04-06 19:26:58 UTC
[2018-04-06 13:06:43] Notification: severity = WARNING, host = compute-0.localdomain, plugin = ovs_events, plugin_instance = vlan50, type = gauge, type_instance = link_status, message = link state of "vlan50" interface has been changed to "DOWN"
[2018-04-06 13:06:49] Notification: severity = WARNING, host = compute-0.localdomain, plugin = ovs_events, plugin_instance = vlan50, type = gauge, type_instance = link_status, message = link state of "vlan50" interface has been changed to "DOWN"
[2018-04-06 13:06:49] Notification: severity = OKAY, host = compute-0.localdomain, plugin = ovs_events, plugin_instance = vlan50, type = gauge, type_instance = link_status, message = link state of "vlan50" interface has been changed to "UP"

Comment 33 errata-xmlrpc 2018-06-27 13:08:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2084


Note You need to log in before you can comment on or make changes to this bug.